| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
ShowFoto::ShowfotoStackViewFavoriteList Class Reference
Inheritance diagram for ShowFoto::ShowfotoStackViewFavoriteList:

## Public Slots
void | slotLoadContents ()

## Signals
void | signalAddFavorite ()
void | signalAddFavoriteList (const QList< QUrl > &, const QUrl &current)
void | signalLoadContentsFromFiles (const QStringList &files, const QString &current)
void | signalSearchResult (int)
| Signal emitted when filtering is done through slotSetFilter().

## Public Member Functions
| ShowfotoStackViewFavoriteList (ShowfotoStackViewFavorites *const parent)
QString | filter () const
| Return the current string used to filter the favorites list.
ShowfotoStackViewFavoriteItem * | findFavoriteByHierarchy (const QString &hierarchy)
void | setFilter (const QString &filter, Qt::CaseSensitivity cs)
| Set the string used to filter the favorites list.

## Member Function Documentation

## ◆ setFilter()

void ShowFoto::ShowfotoStackViewFavoriteList::setFilter | ( | const QString & | filter,
|  | Qt::CaseSensitivity | cs
| ) |  |

signalSearchResult() is emitted when all is done.

## ◆ signalSearchResult

void ShowFoto::ShowfotoStackViewFavoriteList::signalSearchResult | ( | int |  | ) |
| signal

Number of favorites found is sent when item relevant of filtering match the query.